<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
    	
    <storageModule moduleId="org.eclipse.cdt.core.settings">
        		
        <cconfiguration id="cdt.managedbuild.config.gnu.mingw.exe.debug.365309225">
            			
            <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="cdt.managedbuild.config.gnu.mingw.exe.debug.365309225" moduleId="org.eclipse.cdt.core.settings" name="Debug">
                				
                <externalSettings/>
                				
                <extensions>
                    					
                    <extension id="org.eclipse.cdt.core.PE64" point="org.eclipse.cdt.core.BinaryParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    				
                </extensions>
                			
            </storageModule>
            			
            <storageModule moduleId="cdtBuildSystem" version="4.0.0">
                				
                <configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf" description="" id="cdt.managedbuild.config.gnu.mingw.exe.debug.365309225" name="Debug" parent="cdt.managedbuild.config.gnu.mingw.exe.debug">
                    					
                    <folderInfo id="cdt.managedbuild.config.gnu.mingw.exe.debug.365309225." name="/" resourcePath="">
                        						
                        <toolChain id="cdt.managedbuild.toolchain.gnu.mingw.exe.debug.312138619" name="MinGW GCC" superClass="cdt.managedbuild.toolchain.gnu.mingw.exe.debug">
                            							
                            <targetPlatform id="cdt.managedbuild.target.gnu.platform.mingw.exe.debug.1279067323" name="Debug Platform" superClass="cdt.managedbuild.target.gnu.platform.mingw.exe.debug"/>
                            							
                            <builder buildPath="${workspace_loc:/ricorsionePalindroma}/Debug" id="cdt.managedbuild.tool.gnu.builder.mingw.base.1222676536" managedBuildOn="true" name="CDT Internal Builder.Debug" superClass="cdt.managedbuild.tool.gnu.builder.mingw.base"/>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.assembler.mingw.exe.debug.797621449" name="GCC Assembler" superClass="cdt.managedbuild.tool.gnu.assembler.mingw.exe.debug">
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.assembler.input.1120003878" superClass="cdt.managedbuild.tool.gnu.assembler.input"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.archiver.mingw.base.470053597" name="GCC Archiver" superClass="cdt.managedbuild.tool.gnu.archiver.mingw.base"/>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.cpp.compiler.mingw.exe.debug.1758857663" name="GCC C++ Compiler" superClass="cdt.managedbuild.tool.gnu.cpp.compiler.mingw.exe.debug">
                                								
                                <option id="gnu.cpp.compiler.mingw.exe.debug.option.optimization.level.2137944234" superClass="gnu.cpp.compiler.mingw.exe.debug.option.optimization.level" value="gnu.cpp.compiler.optimization.level.none" valueType="enumerated"/>
                                								
                                <option defaultValue="gnu.cpp.compiler.debugging.level.max" id="gnu.cpp.compiler.mingw.exe.debug.option.debugging.level.2059331062" superClass="gnu.cpp.compiler.mingw.exe.debug.option.debugging.level" valueType="enumerated"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.debug.144432608" name="GCC C Compiler" superClass="cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.debug">
                                								
                                <option defaultValue="gnu.c.optimization.level.none" id="gnu.c.compiler.mingw.exe.debug.option.optimization.level.637086149" superClass="gnu.c.compiler.mingw.exe.debug.option.optimization.level" valueType="enumerated"/>
                                								
                                <option defaultValue="gnu.c.debugging.level.max" id="gnu.c.compiler.mingw.exe.debug.option.debugging.level.2012206" superClass="gnu.c.compiler.mingw.exe.debug.option.debugging.level" valueType="enumerated"/>
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.c.compiler.input.2017315828" superClass="cdt.managedbuild.tool.gnu.c.compiler.input"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.c.linker.mingw.exe.debug.1280733322" name="MinGW C Linker" superClass="cdt.managedbuild.tool.gnu.c.linker.mingw.exe.debug">
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.c.linker.input.236614863" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
                                    									
                                    <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                                    									
                                    <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                                    								
                                </inputType>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.cpp.linker.mingw.exe.debug.899922828" name="MinGW C++ Linker" superClass="cdt.managedbuild.tool.gnu.cpp.linker.mingw.exe.debug"/>
                            						
                        </toolChain>
                        					
                    </folderInfo>
                    				
                </configuration>
                			
            </storageModule>
            			
            <storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
            		
        </cconfiguration>
        		
        <cconfiguration id="cdt.managedbuild.config.gnu.mingw.exe.release.648089838">
            			
            <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="cdt.managedbuild.config.gnu.mingw.exe.release.648089838" moduleId="org.eclipse.cdt.core.settings" name="Release">
                				
                <externalSettings/>
                				
                <extensions>
                    					
                    <extension id="org.eclipse.cdt.core.PE64" point="org.eclipse.cdt.core.BinaryParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    				
                </extensions>
                			
            </storageModule>
            			
            <storageModule moduleId="cdtBuildSystem" version="4.0.0">
                				
                <configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="rm -rf" description="" id="cdt.managedbuild.config.gnu.mingw.exe.release.648089838" name="Release" parent="cdt.managedbuild.config.gnu.mingw.exe.release">
                    					
                    <folderInfo id="cdt.managedbuild.config.gnu.mingw.exe.release.648089838." name="/" resourcePath="">
                        						
                        <toolChain id="cdt.managedbuild.toolchain.gnu.mingw.exe.release.1135494721" name="MinGW GCC" superClass="cdt.managedbuild.toolchain.gnu.mingw.exe.release">
                            							
                            <targetPlatform id="cdt.managedbuild.target.gnu.platform.mingw.exe.release.757846036" name="Debug Platform" superClass="cdt.managedbuild.target.gnu.platform.mingw.exe.release"/>
                            							
                            <builder buildPath="${workspace_loc:/ricorsionePalindroma}/Release" id="cdt.managedbuild.tool.gnu.builder.mingw.base.540549477" managedBuildOn="true" name="CDT Internal Builder.Release" superClass="cdt.managedbuild.tool.gnu.builder.mingw.base"/>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.assembler.mingw.exe.release.1326955441" name="GCC Assembler" superClass="cdt.managedbuild.tool.gnu.assembler.mingw.exe.release">
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.assembler.input.927060300" superClass="cdt.managedbuild.tool.gnu.assembler.input"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.archiver.mingw.base.1104032904" name="GCC Archiver" superClass="cdt.managedbuild.tool.gnu.archiver.mingw.base"/>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.cpp.compiler.mingw.exe.release.1723246641" name="GCC C++ Compiler" superClass="cdt.managedbuild.tool.gnu.cpp.compiler.mingw.exe.release">
                                								
                                <option id="gnu.cpp.compiler.mingw.exe.release.option.optimization.level.1939209263" superClass="gnu.cpp.compiler.mingw.exe.release.option.optimization.level" value="gnu.cpp.compiler.optimization.level.most" valueType="enumerated"/>
                                								
                                <option defaultValue="gnu.cpp.compiler.debugging.level.none" id="gnu.cpp.compiler.mingw.exe.release.option.debugging.level.2032519864" superClass="gnu.cpp.compiler.mingw.exe.release.option.debugging.level" valueType="enumerated"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.release.993989069" name="GCC C Compiler" superClass="cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.release">
                                								
                                <option defaultValue="gnu.c.optimization.level.most" id="gnu.c.compiler.mingw.exe.release.option.optimization.level.413072315" superClass="gnu.c.compiler.mingw.exe.release.option.optimization.level" valueType="enumerated"/>
                                								
                                <option defaultValue="gnu.c.debugging.level.none" id="gnu.c.compiler.mingw.exe.release.option.debugging.level.1771534570" superClass="gnu.c.compiler.mingw.exe.release.option.debugging.level" valueType="enumerated"/>
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.c.compiler.input.260592117" superClass="cdt.managedbuild.tool.gnu.c.compiler.input"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.c.linker.mingw.exe.release.176945409" name="MinGW C Linker" superClass="cdt.managedbuild.tool.gnu.c.linker.mingw.exe.release">
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.c.linker.input.883431219" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
                                    									
                                    <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                                    									
                                    <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                                    								
                                </inputType>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.cpp.linker.mingw.exe.release.19113620" name="MinGW C++ Linker" superClass="cdt.managedbuild.tool.gnu.cpp.linker.mingw.exe.release"/>
                            						
                        </toolChain>
                        					
                    </folderInfo>
                    				
                </configuration>
                			
            </storageModule>
            		
        </cconfiguration>
        	
    </storageModule>
    	
    <storageModule moduleId="cdtBuildSystem" version="4.0.0">
        		
        <project id="ricorsionePalindroma.cdt.managedbuild.target.gnu.mingw.exe.2067699594" name="Executable" projectType="cdt.managedbuild.target.gnu.mingw.exe"/>
        	
    </storageModule>
    	
    <storageModule moduleId="scannerConfiguration">
        		
        <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
        		
        <scannerConfigBuildInfo instanceId="cdt.managedbuild.config.gnu.mingw.exe.debug.365309225;cdt.managedbuild.config.gnu.mingw.exe.debug.365309225.;cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.debug.144432608;cdt.managedbuild.tool.gnu.c.compiler.input.2017315828">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
            		
        </scannerConfigBuildInfo>
        		
        <scannerConfigBuildInfo instanceId="cdt.managedbuild.config.gnu.mingw.exe.release.648089838;cdt.managedbuild.config.gnu.mingw.exe.release.648089838.;cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.release.993989069;cdt.managedbuild.tool.gnu.c.compiler.input.260592117">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
            		
        </scannerConfigBuildInfo>
        	
    </storageModule>
    	
    <storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
    
</cproject>
